### Enumeration

# Gtk AccessibleTextGranularity

since: 4.14

#### Declaration

    enum Gtk.AccessibleTextGranularity

#### Description [src]

The granularity for queries about the text contents of a `GtkAccessibleText` implementation.

Available since: 4.14

#### Members

`GTK_ACCESSIBLE_TEXT_GRANULARITY_CHARACTER`

  Use the boundary between characters (including non-printing characters).

  - Value: `0`
  - Available since: 4.14
`GTK_ACCESSIBLE_TEXT_GRANULARITY_WORD`

  Use the boundary between words, starting from the beginning of the current word and ending at the beginning of the next word.

  - Value: `1`
  - Available since: 4.14
`GTK_ACCESSIBLE_TEXT_GRANULARITY_SENTENCE`

  Use the boundary between sentences, starting from the beginning of the current sentence and ending at the beginning of the next sentence.

  - Value: `2`
  - Available since: 4.14
`GTK_ACCESSIBLE_TEXT_GRANULARITY_LINE`

  Use the boundary between lines, starting from the beginning of the current line and ending at the beginning of the next line.

  - Value: `3`
  - Available since: 4.14
`GTK_ACCESSIBLE_TEXT_GRANULARITY_PARAGRAPH`

  Use the boundary between paragraphs, starting from the beginning of the current paragraph and ending at the beginning of the next paragraph.

  - Value: `4`
  - Available since: 4.14